##-------------------------------------------------------------------------------- 
## ¡¡¡¡¡¡¡¡¡¡¡IMPORTANTE!!!!!!!!!!
##-------------------------------------------------------------------------------- 
## Si se agrega alguna url se tiene que revisar por si hay que agregarlo en el
## generador del sitemap.
##--------------------------------------------------------------------------------

index:
    path: /
    controller: App\Controller\DefaultController::index

# BACK
##################################################################################

inicio:
    path: admin/inicio
    controller: App\Controller\BackHomeController::index
    
cambiarEstadoUsuario:
    path: admin/cambiar-estado-usuario
    controller: App\Controller\Ajax\CambiarEstadoUsuarioController::index

listadoFabricantes:
    path: admin/listado-fabricantes
    controller: App\Controller\BackListadoFabricantesController::index

listadoFabricantesPag:
    path: admin/listado-fabricantes/pag-{pag}
    controller: App\Controller\BackListadoFabricantesController::index

nuevoFabricante:
    path: admin/nuevo-fabricante
    controller: App\Controller\BackNuevoFabricanteController::index

editarFabricante:
    path: admin/editar-fabricante/{slug}
    controller: App\Controller\BackPerfilFabricanteController::index

perfilFabricante:
    path: admin/perfil-fabricante
    controller: App\Controller\BackPerfilFabricanteController::index

subirImagenesFabricante:
    path: admin/subir-imagenes-fabricante/{id}
    controller: App\Controller\Ajax\SubirImagenesFabricanteController::index

eliminarImagenFabricante:
    path: admin/eliminar-imagen-fabricante
    controller: App\Controller\Ajax\EliminarImagenFabricanteController::index

eliminarFabricante:
    path: admin/eliminar-fabricante/{id}
    controller: App\Controller\BackEliminarFabricanteController::index

sugerirAtributo:
    path: admin/sugerir-atributo
    controller: App\Controller\BackSugerirAtributoController::index

listadoCentralesDeCompra:
    path: admin/listado-centrales-de-compra
    controller: App\Controller\BackListadoCentralesDeCompraController::index

listadoCentralesDeCompraPag:
    path: admin/listado-centrales-de-compra/pag-{pag}
    controller: App\Controller\BackListadoCentralesDeCompraController::index

nuevaCentralDeCompra:
    path: admin/nueva-central-de-compra
    controller: App\Controller\BackNuevaCentralDeCompraController::index

editarCentralDeCompra:
    path: admin/editar-central-de-compra/{slug}
    controller: App\Controller\BackPerfilCentralDeCompraController::index

perfilCentralDeCompra:
    path: admin/perfil-central-de-compra
    controller: App\Controller\BackPerfilCentralDeCompraController::index

eliminarCentralDeCompra:
    path: admin/eliminar-central-de-compra/{id}
    controller: App\Controller\BackEliminarCentralDeCompraController::index

listadoCentralDeCompraEmpresas:
    path: admin/listado-central-de-compra-empresas
    controller: App\Controller\BackListadoCentralDeCompraEmpresasController::index

listadoCentralDeCompraEmpresasPag:
    path: admin/listado-central-de-compra-empresas/pag-{pag}
    controller: App\Controller\BackListadoCentralDeCompraEmpresasController::index

desvincularEmpresa:
    path: admin/desvincular-empresa/{id}
    controller: App\Controller\BackDesvincularEmpresaController::index

listadoEmpresas:
    path: admin/listado-empresas
    controller: App\Controller\BackListadoEmpresasController::index

listadoEmpresasPag:
    path: admin/listado-empresas/pag-{pag}
    controller: App\Controller\BackListadoEmpresasController::index

nuevaEmpresa:
    path: admin/nueva-empresa
    controller: App\Controller\BackNuevaEmpresaController::index

editarEmpresa:
    path: admin/editar-empresa/{slug}
    controller: App\Controller\BackPerfilEmpresaController::index

perfilEmpresa:
    path: admin/perfil-empresa
    controller: App\Controller\BackPerfilEmpresaController::index

eliminarEmpresa:
    path: admin/eliminar-empresa/{id}
    controller: App\Controller\BackEliminarEmpresaController::index

listadoDistribuidores:
    path: admin/listado-distribuidores
    controller: App\Controller\BackListadoDistribuidoresController::index

listadoDistribuidoresPag:
    path: admin/listado-distribuidores/pag-{pag}
    controller: App\Controller\BackListadoDistribuidoresController::index

nuevoDistribuidor:
    path: admin/nuevo-distribuidor
    controller: App\Controller\BackNuevoDistribuidorController::index

editarDistribuidor:
    path: admin/editar-distribuidor/{slug}
    controller: App\Controller\BackPerfilDistribuidorController::index

perfilDistribuidor:
    path: admin/perfil-distribuidor
    controller: App\Controller\BackPerfilDistribuidorController::index

subirImagenesDistribuidor:
    path: admin/subir-imagenes-distribuidor/{id}
    controller: App\Controller\Ajax\SubirImagenesDistribuidorController::index

eliminarImagenDistribuidor:
    path: admin/eliminar-imagen-distribuidor
    controller: App\Controller\Ajax\EliminarImagenDistribuidorController::index

eliminarDistribuidor:
    path: admin/eliminar-distribuidor/{id}
    controller: App\Controller\BackEliminarDistribuidorController::index

listadoComerciales:
    path: admin/listado-comerciales
    controller: App\Controller\BackListadoComercialesController::index

listadoComercialesPag:
    path: admin/listado-comerciales/pag-{pag}
    controller: App\Controller\BackListadoComercialesController::index

nuevoComercial:
    path: admin/nuevo-comercial
    controller: App\Controller\BackNuevoComercialController::index
    
actualizarDistribuidores:
    path: actualizar-distribuidores
    controller: App\Controller\Ajax\ActualizarDistribuidoresController::index

editarComercial:
    path: admin/editar-comercial/{slug}
    controller: App\Controller\BackPerfilComercialController::index

perfilComercial:
    path: admin/perfil-comercial
    controller: App\Controller\BackPerfilComercialController::index

eliminarComercial:
    path: admin/eliminar-comercial/{id}
    controller: App\Controller\BackEliminarComercialController::index

listadoClientes:
    path: admin/listado-clientes
    controller: App\Controller\BackListadoClientesController::index

listadoClientesPag:
    path: admin/listado-clientes/pag-{pag}
    controller: App\Controller\BackListadoClientesController::index

nuevoCliente:
    path: admin/nuevo-cliente
    controller: App\Controller\BackNuevoClienteController::index

editarCliente:
    path: admin/editar-cliente/{slug}
    controller: App\Controller\BackPerfilClienteController::index

#perfilCliente:
#    path: admin/perfil-cliente
#    controller: App\Controller\BackPerfilClienteController::index

eliminarCliente:
    path: admin/eliminar-cliente/{id}
    controller: App\Controller\BackEliminarClienteController::index

listadoColecciones:
    path: admin/listado-colecciones
    controller: App\Controller\BackListadoColeccionesController::index

listadoColeccionesPag:
    path: admin/listado-colecciones/pag-{pag}
    controller: App\Controller\BackListadoColeccionesController::index

nuevaColeccion:
    path: admin/nueva-coleccion
    controller: App\Controller\BackNuevaColeccionController::index

editarColeccion:
    path: admin/editar-coleccion/{slug_fabricante}/{slug}
    controller: App\Controller\BackEditarColeccionController::index

eliminarColeccion:
    path: admin/eliminar-coleccion/{id}
    controller: App\Controller\BackEliminarColeccionController::index

listadoFiltros:
    path: admin/listado-filtros
    controller: App\Controller\BackListadoFiltrosController::index

listadoAtributos:
    path: admin/listado-atributos/{slug}
    controller: App\Controller\BackListadoAtributosController::index

listadoAtributosPag:
    path: admin/listado-atributos/{slug}/pag-{pag}
    controller: App\Controller\BackListadoAtributosController::index

nuevoAtributo:
    path: admin/nuevo-atributo/{slug}
    controller: App\Controller\BackNuevoAtributoController::index

editarAtributo:
    path: admin/editar-atributo/{slug_filtro}/{id}
    controller: App\Controller\BackEditarAtributoController::index

eliminarAtributo:
    path: admin/eliminar-atributo/{slug_filtro}/{id}
    controller: App\Controller\BackEliminarAtributoController::index
    
cambiarEstadoAtributo:
    path: admin/cambiar-estado-atributo
    controller: App\Controller\Ajax\CambiarEstadoAtributoController::index

aprobarAtributos:
    path: admin/aprobar-atributos
    controller: App\Controller\BackAprobarAtributosController::index

listadoPiezas:
    path: admin/listado-piezas
    controller: App\Controller\BackListadoPiezasController::index

listadoPiezasPag:
    path: admin/listado-piezas/pag-{pag}
    controller: App\Controller\BackListadoPiezasController::index

nuevaPieza:
    path: admin/nueva-pieza
    controller: App\Controller\BackNuevaPiezaController::index
    
actualizarColecciones:
    path: admin/actualizar-colecciones
    controller: App\Controller\Ajax\ActualizarColeccionesController::index

eliminarPieza:
    path: admin/eliminar-pieza/{id}
    controller: App\Controller\BackEliminarPiezaController::index

gestionarPieza:
    path: admin/gestionar-pieza/{slug}
    controller: App\Controller\BackGestionarPiezaController::index

gestionarPiezaPag:
    path: admin/gestionar-pieza/{slug}/pag-{pag}
    controller: App\Controller\BackGestionarPiezaController::index

nuevaVariante:
    path: admin/nueva-variante/{slug}
    controller: App\Controller\BackNuevaVarianteController::index

editarVariante:
    path: admin/editar-variante/{slug}
    controller: App\Controller\BackEditarVarianteController::index

copiarVariante:
    path: admin/copiar-variante/{slug}
    controller: App\Controller\BackCopiarVarianteController::index

galeriaVariante:
    path: admin/galeria-variante/{slug}
    controller: App\Controller\BackGaleriaVarianteController::index
    
activarVariantes:
    path: admin/activar-variantes-pieza/{id}
    controller: App\Controller\BackActivarVariantesPiezaController::index
    
desactivarVariantes:
    path: admin/desactivar-variantes-pieza/{id}
    controller: App\Controller\BackDesactivarVariantesPiezaController::index

subirImagenesPieza:
    path: admin/subir-imagenes-pieza/{id}
    controller: App\Controller\Ajax\SubirImagenesPiezaController::index

eliminarImagenPieza:
    path: admin/eliminar-imagen-pieza
    controller: App\Controller\Ajax\EliminarImagenPiezaController::index

principalImagenPieza:
    path: admin/principal-imagen-pieza
    controller: App\Controller\Ajax\PrincipalImagenPiezaController::index

subirImagenesAmbiente:
    path: admin/subir-imagenes-ambiente/{id}
    controller: App\Controller\Ajax\SubirImagenesAmbienteController::index

eliminarImagenAmbiente:
    path: admin/eliminar-imagen-ambiente
    controller: App\Controller\Ajax\EliminarImagenAmbienteController::index

principalImagenAmbiente:
    path: admin/principal-imagen-ambiente
    controller: App\Controller\Ajax\PrincipalImagenAmbienteController::index

espacioImagenAmbiente:
    path: admin/espacio-imagen-ambiente
    controller: App\Controller\Ajax\EspacioImagenAmbienteController::index

predeterminadaVariante:
    path: admin/predeterminada-variante
    controller: App\Controller\Ajax\PredeterminadaVarianteController::index
    
cambiarEstadoVariante:
    path: admin/cambiar-estado-variante
    controller: App\Controller\Ajax\CambiarEstadoVarianteController::index

eliminarVariante:
    path: admin/eliminar-variante/{id}
    controller: App\Controller\BackEliminarVarianteController::index

volverListado:
    path: admin/volver-listado/{seccion}
    controller: App\Controller\BackVolverListadoController::index

administrarProductosDistribuidor:
    path: admin/administrar-productos-distribuidor
    controller: App\Controller\BackAdministrarProductosDistribuidorController::index

listadoProductosDistribuidor:
    path: admin/listado-productos-distribuidor
    controller: App\Controller\BackListadoProductosDistribuidorController::index

listadoProductosDistribuidorPag:
    path: admin/listado-productos-distribuidor/pag-{pag}
    controller: App\Controller\BackListadoProductosDistribuidorController::index
    
agregarVarianteDistribuidor:
    path: admin/agregar-variante-distribuidor
    controller: App\Controller\Ajax\AgregarVarianteDistribuidorController::index
    
desvincularVarianteDistribuidor:
    path: admin/desvincular-variante-distribuidor
    controller: App\Controller\Ajax\DesvincularVarianteDistribuidorController::index

listadoEntradas:
    path: admin/listado-entradas
    controller: App\Controller\BackBlogListadoController::index

listadoEntradasPag:
    path: admin/listado-entradas/pag-{pag}
    controller: App\Controller\BackBlogListadoController::index

nuevaEntrada:
    path: admin/nueva-entrada
    controller: App\Controller\BackBlogNuevaEntradaController::index

editarEntrada:
    path: admin/editar-entrada/{id}
    controller: App\Controller\BackBlogEditarEntradaController::index

eliminarEntrada:
    path: admin/eliminar-entrada/{id}
    controller: App\Controller\BackEliminarEntradaController::index
    
cambiarEstadoEntrada:
    path: admin/cambiar-estado-entrada
    controller: App\Controller\Ajax\CambiarEstadoEntradaController::index

geolocalizacion:
    path: admin/ajustes/geolocalizacion
    controller: App\Controller\BackGeolocalizacionController::index

totemQr:
    path: admin/totem-qr
    controller: App\Controller\BackTotemQrController::index

totemAddCookieBase:
    path: admin/totem-add-cookie/
    controller: App\Controller\BackTotemAddCookieController::index

totemAddCookie:
    path: admin/totem-add-cookie/{slug}
    controller: App\Controller\BackTotemAddCookieController::index

totemProductos:
    path: admin/totem-productos
    controller: App\Controller\BackTotemProductoController::index

totemProductosPag:
    path: admin/totem-productos/pag-{pag}
    controller: App\Controller\BackTotemProductoController::index

totemVisitas:
    path: admin/totem-visitas
    controller: App\Controller\BackTotemVisitasController::index

totemFavoritosListado:
    path: admin/totem-favoritos-listado
    controller: App\Controller\BackTotemFavoritosListadoController::index

totemFavoritos:
    path: admin/totem-favoritos/{slug}
    controller: App\Controller\BackTotemFavoritosController::index

totemVisitasProductos:
    path: admin/totem-visitas-productos/{id}
    controller: App\Controller\BackTotemVisitasProductosController::index
    
asociarComercialInteraccion:
    path: admin/totem-asociar-comercial-interaccion
    controller: App\Controller\Ajax\AsociarComercialInteraccionController::index
    
eliminarVarianteVisita:
    path: eliminar-variante-visita
    controller: App\Controller\Ajax\EliminarVarianteVisitaController::index
    
totemEliminarFavorito:
    path: admin/totem-eliminar-favorito
    controller: App\Controller\Ajax\TotemEliminarFavoritoController::index
    
totemEliminarPanel:
    path: admin/totem-eliminar-panel
    controller: App\Controller\Ajax\TotemEliminarPanelController::index

# FRONT
##################################################################################

home:
    path:
        en: /{_locale}
        es: /{_locale}
    controller: App\Controller\FrontHomeController::index

login:
    path:
        en: /{_locale}/login
        es: /{_locale}/acceder
    controller: App\Controller\FrontLoginController::index
    
loginCheck:
    path:
        en: /{_locale}/login-check
        es: /{_locale}/login-check

logout:
    path: /logout

recuperarPassword:
    path:
        en: /{_locale}/account-recovery
        es: /{_locale}/recuperar-password
    controller: App\Controller\FrontRecuperarPasswordController::index

recuperarPasswordConfirmar:
    path:
        en: /{_locale}/account-recovery-confirm/{slug}
        es: /{_locale}/recuperar-password-confirmar/{slug}
    controller: App\Controller\FrontRecuperarPasswordConfirmarController::index

cuenta:
    path:
        en: /{_locale}/account/profile
        es: /{_locale}/cuenta/perfil
    controller: App\Controller\FrontCuentaController::index
    
cuentaVisitasPiezas:
    path:
        en: /{_locale}/account/visits-pieces/{id}
        es: /{_locale}/cuenta/visitas-piezas/{id}
    controller: App\Controller\FrontCuentaVisitasPiezasController::index

cuentaVisitasTiendas:
    path:
        en: /{_locale}/account/visits-shops
        es: /{_locale}/cuenta/visitas-tiendas
    controller: App\Controller\FrontCuentaVisitasTiendasController::index

cuentaVisitasTiendasPag:
    path:
        en: /{_locale}/account/visits-shops/pag-{pag}
        es: /{_locale}/cuenta/visitas-tiendas/pag-{pag}
    controller: App\Controller\FrontCuentaVisitasTiendasController::index

cuentaPaneles:
    path:
        en: /{_locale}/account/panels
        es: /{_locale}/cuenta/paneles
    controller: App\Controller\FrontCuentaPanelesController::index

cuentaEditarPanel:
    path:
        en: /{_locale}/account/editar-panel/{id}
        es: /{_locale}/cuenta/editar-panel/{id}
    controller: App\Controller\FrontCuentaPanelesEditarController::index

cuentaEliminarPanel:
    path:
        en: /{_locale}/account/eliminar-panel/{id}
        es: /{_locale}/cuenta/eliminar-panel/{id}
    controller: App\Controller\FrontCuentaPanelesEliminarController::index

cuentaFavoritos:
    path:
        en: /{_locale}/account/favorites/{slug}
        es: /{_locale}/cuenta/favoritos/{slug}
    controller: App\Controller\FrontCuentaFavoritosController::index
    
confirmarEliminarFavorito:
    path: /cuenta/confirmar-eliminar-favorito
    controller: App\Controller\Ajax\ConfirmarEliminarFavoritoController::index

categorias:
    path:
        en: /{_locale}/categories
        es: /{_locale}/categorias
    controller: App\Controller\FrontCategoriasController::index
    
filtrarVariantes:
    path: filtrar-variantes
    controller: App\Controller\Ajax\FiltrarVariantesController::index
    
confirmarZip:
    path: confirmar-zip
    controller: App\Controller\Ajax\ConfirmarZipController::index

detallePieza:
    path:
        en: /{_locale}/part-detail/{slug}
        es: /{_locale}/detalle-pieza/{slug}
    controller: App\Controller\FrontDetallePiezaController::index

agregarVarianteFavorito:
    path: agregar-variante-favorito
    controller: App\Controller\Ajax\AgregarVarianteFavoritoController::index

mantenimiento:
    path:
        en: /{_locale}/maintenance
        es: /{_locale}/mantenimiento
    controller: App\Controller\FrontMantenimientoController::index

blogListado:
    path:
        en: /{_locale}/blog
        es: /{_locale}/blog
    controller: App\Controller\FrontBlogListadoController::index

blogListadoPag:
    path:
        en: /{_locale}/blog/pag-{pag}
        es: /{_locale}/blog/pag-{pag}
    controller: App\Controller\FrontBlogListadoController::index

previsualizarEntrada:
    path:
        en: /{_locale}/prev-post
        es: /{_locale}/prev-post
    controller: App\Controller\FrontPrevisualizarEntradaController::index

blogEntrada:
    path:
        en: /{_locale}/post/{slug}
        es: /{_locale}/entrada/{slug}
    controller: App\Controller\FrontBlogEntradaController::index

distribuidorCercano:
    path:
        en: /{_locale}/distributors
        es: /{_locale}/distribuidores
    controller: App\Controller\FrontDistribuidorCercanoController::index
    
filtrarDistribuidores:
    path: filtrar-distribuidores/{slug}
    controller: App\Controller\Ajax\FiltrarDistribuidoresController::index

contacto:
    path:
        en: /{_locale}/contact-us
        es: /{_locale}/contacto
    controller: App\Controller\FrontContactoController::index

sobreNosotros:
    path:
        en: /{_locale}/about-us
        es: /{_locale}/sobre-nosotros
    controller: App\Controller\FrontSobreNosotrosController::index

avisoLegal:
    path:
        en: /{_locale}/legal-warning
        es: /{_locale}/aviso-legal
    controller: App\Controller\FrontAvisoLegalController::index

politicaPrivacidad:
    path:
        en: /{_locale}/privacy-policy
        es: /{_locale}/politica-privacidad
    controller: App\Controller\FrontPoliticaPrivacidadController::index

politicaCookies:
    path:
        en: /{_locale}/cookies-policy
        es: /{_locale}/politica-cookies
    controller: App\Controller\FrontPoliticaCookiesController::index

lectorQr:
    path:
        en: /{_locale}/qr-lector
        es: /{_locale}/lector-qr
    controller: App\Controller\FrontLectorQrController::index
    
iniciarVisita:
    path: iniciar-visita
    controller: App\Controller\Ajax\IniciarVisitaController::index
    
asociarProductoVisita:
    path: asociar-producto-visita
    controller: App\Controller\Ajax\AsociarProductoVisitaController::index

mapaSitio:
    path:
        en: /{_locale}/sitemap
        es: /{_locale}/sitemap
    controller: App\Controller\FrontMapaSitioController::index

faq:
    path:
        en: /{_locale}/faq
        es: /{_locale}/faq
    controller: App\Controller\FrontFaqController::index
